Docs
Update Content Block On Surface
PUT /surfaces/{surfaceId}/contentBlocks/{contentBlockId}
PUT
/surfaces/{surfaceId}/contentBlocks/{contentBlockId}Changes the content item and/or the time window of an existing content block on a surface. The content block id comes from ContentManagement_GetSurfaceById. Requires the Event Content Management Admin permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| surfaceId | uuid | Required | |
| contentBlockId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| contentId | uuid | Optional | |
| startTime | date-time | Optional | |
| endTime | date-time | Optional |